---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 31
    AccountRefMonth: 10
    LastMadeUpDate: 31/10/2024
    NextDueDate: 31/07/2026
  CompanyCategory: Private Limited Company
  CompanyName: RJ MAGPIE LTD.
  CompanyNumber: 08268194
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 25/10/2012
  PreviousNames:
    - CONDate: 23/06/2014
      CompanyName: MAGPIE TRANSPORT LIMITED
  RegAddress:
    AddressLine1: THE WORKSHED 7 CARRIAGE WORKS
    AddressLine2: LONDON STREET
    PostTown: SWINDON
    Country: ENGLAND
    Postcode: SN1 5FB
  Returns:
    LastMadeUpDate: 01/05/2025
    NextDueDate: 15/05/2026
  SICCodes:
    SicText:
      - '45112 - Sale of used cars and light motor vehicles'
      - '45200 - Maintenance and repair of motor vehicles'
